tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Markus Schönhaber <mailing-tomcat-...@schoenhaber.de>
Subject Re: Release 5.5.14 or retag 5.5.13
Date Mon, 05 Dec 2005 15:23:41 GMT
Mladen Turk wrote:
> Yoav Shapira wrote:
> > This is probably a dumb question, but I'll ask anyways.  Why isn't
> > this as simple as a user who downloaded 5.5.13 already going to
> > download the updated connectors/APR and plugging that in?  Why does it
> > have to be integrated into the release of Tomcat itself, especially
> > since it's an optional dependency?
>
> Installer has an task for downloading binaries, so, since it poinits
> to the old version it would be downloaded.

I've installed th apache-tomcat-5.5.13.exe with native support on Windows XP 
and the APR Connectors work fine for me. A quick look with dependency walker 
on the tcnative-1.dll the installer downloaded shows that it contains
_Java_org_apache_tomcat_jni_Socket_setrbb@20
which is the method that got reported in an UnsatisfiedLinkError on my Linux 
host when I used a libtcnative-1.so built from the tomcat-native.tar.gz that 
is distributed with apache-tomcat-5.5.13.tar.gz.

Regards
  mks

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message